%define upstream_name    Image-Thumbnail
%define upstream_version 0.66

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Simple thumbnails with various Perl libraries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GD)
BuildRequires: perl(Test::Harness) >= 0.100.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module was created to answer the FAQ, 'How do I simply create a
thumbnail with pearl?' (sic). It allows you to easily make thumbnail
images from files, objects or (in most cases) 'blobs', using either the
ImageMagick, Image::Epeg, Imager or GD libraries.

Thumbnails created can either be saved as image files or accessed as
objects via the object field: see "create".

In the experience of the author, thumbnails are created fastest with
direct use of the Image::Epeg module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.660.0-6.mga6
+ Revision: 1028482
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.660.0-5.mga6
+ Revision: 949205
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.660.0-4.mga5
+ Revision: 789270
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.660.0-3.mga5
+ Revision: 747081
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.660.0-2.mga5
+ Revision: 685125
- Mageia 5 Mass Rebuild

* Fri Nov 08 2013 jquelin <jquelin> 0.660.0-1.mga4
+ Revision: 549937
- adding missing buildrequires:
- imported package perl-Image-Thumbnail


* Fri Nov 8 2013 cpan2dist 0.66-1mga
- initial mageia release, generated with cpan2dist
